# Uses of Class
org.eclipse.equinox.p2.ui.ProvisioningUI

Packages that use ProvisioningUI
Package
Description
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of ProvisioningUI in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return ProvisioningUI
Modifier and Type
Method
Description
`static ProvisioningUI`
ProvisioningUI.`getDefaultUI()`
Return the default ProvisioningUI.
Methods in org.eclipse.equinox.p2.ui with parameters of type ProvisioningUI
Modifier and Type
Method
Description
`void`
InstalledSoftwarePage.`setProvisioningUI(ProvisioningUI value)`
Set the provisioning UI to use with this page
`void`
RepositoryManipulationPage.`setProvisioningUI(ProvisioningUI ui)`
Set the provisioning UI that provides the session, policy, and other services for the UI.
`void`
RevertProfilePage.`setProvisioningUI(ProvisioningUI value)`
Set the provisioning UI to use with this page
Constructors in org.eclipse.equinox.p2.ui with parameters of type ProvisioningUI
Modifier
Constructor
Description
``
`LoadMetadataRepositoryJob(ProvisioningUI ui)`
Create a job that loads the metadata repositories known by the specified RepositoryTracker.